%% --------------------------
%% | Data Structure         |
%% --------------------------

%% CGAL Guillaume damian & Co carte généralisée babaali:hal-00305482
@inproceedings{babaali,
  TITLE = {{Insertion and Expansion Operations for n -Dimensional Generalized Maps}},
  AUTHOR = {Baba-Ali, Mehdi and Damiand, Guillaume and Skapin, Xavier and Marcheix, David},
  URL = {https://hal.archives-ouvertes.fr/hal-00305482},
  BOOKTITLE = {{Discrete Geometry for Computer Imagery}},
  ADDRESS = {Lyon, France},
  PUBLISHER = {{Springer-Verlag}},
  SERIES = {LNCS},
  VOLUME = {4992},
  PAGES = {141-152},
  YEAR = {2008},
  MONTH = Apr,
  DOI = {10.1007/978-3-540-79126-3\_14},
  KEYWORDS = {pyramids ; generalized maps ; insertion ; expansion},
  PDF = {https://hal.archives-ouvertes.fr/hal-00305482/file/conf-2008-dgci-insertion-expension.pdf},
  HAL_ID = {hal-00305482},
  HAL_VERSION = {v1},
}

%%% Adaptation de problème de graphe en problème multi-agent
% ------------------------
% | Coloration de graphe |
% ------------------------

% Chercheur ayant travaillé sur SMA
%http://www.wiomax.com/team/xie/publications/

%% - Graph coloring by multiagent fusion search
@article{SMA::GCP::Xie,
author = {Xie, Xiao-Feng and Liu, Jiming},
year = {2009},
month = {08},
pages = {99-123},
title = {Graph coloring by multiagent fusion search},
volume = {18},
journal = {J. Comb. Optim.},
doi = {10.1007/s10878-008-9140-6}
}

%% - Multiagent Graph Coloring: Pareto Efficiency, Fairness and Individual Rationality},booktitle={The Twenty-Third National Conference on Artificial Intelligence
@inproceedings{SMA::GCP::Yaad,
key={Blum},
author={Yaad Blum and Jeffrey S. Rosenschein},
title={Multiagent Graph Coloring: Pareto Efficiency, Fairness and Individual Rationality},
booktitle={The Twenty-Third National Conference on Artificial Intelligence},
year={2008},
address={Chicago, Illinois},
month={July},
pages={24--29}}

%% ----------------------------
%% | Voyageur de commerce TSP |
%% ----------------------------

%% - Solving the Traveling Salesman Problem with a Multi-Agent System
@inproceedings{SMA::TSP::Yang,
author = {Yang, Chen and Szeto, Kwok},
year = {2019},
month = {06},
pages = {158-165},
title = {Solving the Traveling Salesman Problem with a Multi-Agent System},
doi = {10.1109/CEC.2019.8789895}
}

% - Multiagent Optimization System for Solving the Traveling Salesman Problem 
@ARTICLE{SMA::TSP::Xie,
author={Xie, Xiao-Feng and Liu, Jiming},
journal={IEEE Transactions on Systems, Man, and Cybernetics, Part B (Cybernetics)}, 
title={Multiagent Optimization System for Solving the Traveling Salesman Problem (TSP)}, 
year={2009},
volume={39},
number={2},
pages={489-502},
doi={10.1109/TSMCB.2008.2006910}
}

% -----------------------
% |	Mesh blocking	|
% -----------------------

% - Selective Padding for Polycube-Based Hexahedral Meshing
@article{blocking::polycube,
  TITLE = {{Selective Padding for Polycube-Based Hexahedral Meshing}},
  AUTHOR = {Cherchi, Gianmarco and Alliez, Pierre and Scateni, Riccardo and Lyon, Max and Bommes, David},
  URL = {https://hal.inria.fr/hal-01970790},
  JOURNAL = {{Computer Graphics Forum}},
  PUBLISHER = {{Wiley}},
  YEAR = {2019},
  MONTH = Jan,
  DOI = {10.1111/cgf.13593},
  KEYWORDS = {Object representations ; Modelling ; Surface ; Solid ; Physically based modelling ; Mesh generation ; Computational geometry},
  PDF = {https://hal.inria.fr/hal-01970790/file/padding-author-version.pdf},
  HAL_ID = {hal-01970790},
  HAL_VERSION = {v1},
}


% - Deep learning FrameFields
@article{blocking::deeplearning::framefield,
author = {Dielen, Alexander and Lim, Isaak and Lyon, Max and Kobbelt, Leif},
title = {Learning Direction Fields for Quad Mesh Generation},
journal = {Computer Graphics Forum},
volume = {40},
number = {5},
pages = {181-191},
keywords = {CCS Concepts, • Computing methodologies → Shape analysis, Neural networks, Mesh models},
doi = {https://doi.org/10.1111/cgf.14366},
url = {https://onlinelibrary.wiley.com/doi/abs/10.1111/cgf.14366},
eprint = {https://onlinelibrary.wiley.com/doi/pdf/10.1111/cgf.14366},
abstract = {Abstract State of the art quadrangulation methods are able to reliably and robustly convert triangle meshes into quad meshes. Most of these methods rely on a dense direction field that is used to align a parametrization from which a quad mesh can be extracted. In this context, the aforementioned direction field is of particular importance, as it plays a key role in determining the structure of the generated quad mesh. If there are no user-provided directions available, the direction field is usually interpolated from a subset of principal curvature directions. To this end, a number of heuristics that aim to identify significant surface regions have been proposed. Unfortunately, the resulting fields often fail to capture the structure found in meshes created by human experts. This is due to the fact that experienced designers can leverage their domain knowledge in order to optimize a mesh for a specific application. In the context of physics simulation, for example, a designer might prefer an alignment and local refinement that facilitates a more accurate numerical simulation. Similarly, a character artist may prefer an alignment that makes the resulting mesh easier to animate. Crucially, this higher level domain knowledge cannot be easily extracted from local curvature information alone. Motivated by this issue, we propose a data-driven approach to the computation of direction fields that allows us to mimic the structure found in existing meshes, which could originate from human experts or other sources. More specifically, we make use of a neural network that aggregates global and local shape information in order to compute a direction field that can be used to guide a parametrization-based quad meshing method. Our approach is a first step towards addressing this challenging problem with a fully automatic learning-based method. We show that compared to classical techniques our data-driven approach combined with a robust model-driven method, is able to produce results that more closely exhibit the ground truth structure of a synthetic dataset (i.e. a manually designed quad mesh template fitted to a variety of human body types in a set of different poses).},
year = {2021}
}

% - Stage de M2 algo génétique
@inbook{blocking::evolutionary,
    author = {Lim, Chi and Yin, Xiaofeng and Zhang, Tianyou and Su, Yi and Goh, Chi-Keong and Moreno, Alejandro and Shahpar, Shahrokh},
    year = {2018},
    month = {12},
    pages = {1-18},
    title = {Automatic Blocking of Shapes Using Evolutionary Algorithm},
    doi = {10.1007/978-3-030-13992-6_10}
}


% ---------------------------
% | Article depuis le sujet | 
% ---------------------------

% ---------------------------
% |			Maillage 		| 
% ---------------------------



% - Maillage
@article{bommes18, 
author = {Liu, Heng and Zhang, Paul and Chien, Edward and Solomon, Justin and Bommes, David}, 
title = {Singularity-Constrained Octahedral Fields for Hexahedral Meshing}, 
year = {2018}, 
publisher = {Association for Computing Machinery}, address = {New York, NY, USA}, volume = {37}, number = {4}, issn = {0730-0301}, url = {https://doi.org/10.1145/3197517.3201344}, doi = {10.1145/3197517.3201344}, journal = {ACM Trans. Graph.}, month = jul, articleno = {93}, numpages = {17}, keywords = {octahedral fields, hexahedral meshing, singularity graph, integer-grid maps} }

% - Maillage
@article{ray16, author = {Ray, Nicolas and Sokolov, Dmitry and L\'{e}vy, Bruno}, title = {Practical 3D Frame Field Generation}, year = {2016}, issue_date = {November 2016}, publisher = {Association for Computing Machinery}, address = {New York, NY, USA}, volume = {35}, number = {6}, issn = {0730-0301}, url = {https://doi.org/10.1145/2980179.2982408}, doi = {10.1145/2980179.2982408}, journal = {ACM Trans. Graph.}, month = nov, articleno = {233}, numpages = {9}, keywords = {smooth frame fields, remeshing} }

% - Maillage
@article{Livesu13,
author    = {Livesu, Marco and Vining, Nicholas and Sheffer, Alla and Gregson, James and Scateni, Riccardo},
title     = {PolyCut: Monotone Graph-Cuts for PolyCube Base-Complex Construction},
journal   = {Transactions on Graphics (Proc. SIGGRAPH ASIA 2013)},
year      = {2013},
volume    = {32},
number    = {6},
}

% - Maillage
@article{Gregson11,
  author  = {J. Gregson and A. Sheffer and E. Zhang},
  title   = {All-Hex Mesh Generation via Volumetric PolyCube Deformation},
  journal = {Computer Graphics Forum (Special Issue of Symposium on Geometry Processing 2011)},
  year    = {2011},
  volume  = {30},
  number  = {5},
}

% - Maillage
@inproceedings{ray18,
  TITLE = {{Hex-dominant meshing: mind the gap!}},
  AUTHOR = {Ray, Nicolas and Sokolov, Dmitry and Reberol, Maxence and Ledoux, Franck and L{\'e}vy, Bruno},
  URL = {https://hal.inria.fr/hal-01927557},
  BOOKTITLE = {{SPM 2018 - International Conference on Solid and Physical Modeling}},
  ADDRESS = {Bilbao, Spain},
  YEAR = {2018},
  MONTH = Jun,
  KEYWORDS = {hex meshing ; parameterization ; mesh extraction},
  PDF = {https://hal.inria.fr/hal-01927557/file/hexdom.pdf},
  HAL_ID = {hal-01927557},
  HAL_VERSION = {v1},
}



% Survey Hexaedral_meshhttps://doi.org/10.48550/arxiv.2202.12670

@misc{survey::mesh::hexaedral,
  doi = {10.48550/ARXIV.2202.12670},
  url = {https://arxiv.org/abs/2202.12670},
  author = {Pietroni, Nico and Campen, Marcel and Sheffer, Alla and Cherchi, Gianmarco and Bommes, David and Gao, Xifeng and Scateni, Riccardo and Ledoux, Franck and Remacle, Jean-Francois and Livesu, Marco},
  keywords = {Graphics (cs.GR), FOS: Computer and information sciences, FOS: Computer and information sciences},
  title = {Hex-Mesh Generation and Processing: a Survey},
  publisher = {arXiv},
  year = {2022},  
  copyright = {Creative Commons Attribution 4.0 International}
}



% ---------------------------
% |			SMA				|
% ---------------------------

% - SMA-BOOK
@book{ferber:95a,
  added-at = {2006-07-13T17:11:36.000+0200},
  address = {Paris},
  author = {Ferber, J.},
  biburl = {https://www.bibsonomy.org/bibtex/249e0f21bb6bedbeceee33838fc65352e/hanappe},
  interhash = {5975a0adc21da0d928dad325f14c3af1},
  intrahash = {49e0f21bb6bedbeceee33838fc65352e},
  keywords = {imported},
  publisher = {InterEditions},
  timestamp = {2006-07-13T17:11:36.000+0200},
  title = {Les syst\`emes multi-agents: vers une intelligence collective},
  year = 1995
}


% - SMA-RL Survey
@article{Bloembergen2015EvolutionaryDO,
  title={Evolutionary Dynamics of Multi-Agent Learning: A Survey},
  author={Daan Bloembergen and Karl Tuyls and Daniel Hennes and Michael Kaisers},
  journal={J. Artif. Intell. Res.},
  year={2015},
  volume={53},
  pages={659-697}
}

% - Mono Multi Tan
@INPROCEEDINGS{Tan93multi-agentreinforcement,
    author = {Ming Tan},
    title = {Multi-Agent Reinforcement Learning: Independent vs. Cooperative Agents},
    booktitle = {In Proceedings of the Tenth International Conference on Machine Learning},
    year = {1993},
    pages = {330--337},
    publisher = {Morgan Kaufmann}
}

% - SMA
@inbook{survey10,
  author={Busoniu, L. and Babuska R. and  De Schutter, B.},
  year= 2010, 
  chapter={7 in Innovations in Multi-Agent Systems and Applications}, 
  volume={310},
  editor = {Srinivasan, D. and Jain, L.C.},
  title= {Multi-agent reinforcement learning: An overview}, 
  booktitle={Studies in Computational Intelligence},
  publisher= {Springer},
  address= {Berlin, Germany}, 
  pages={183--221}
}

% - SMA-RL Survey
@article{Zhang2019MultiAgentRL,
  title={Multi-Agent Reinforcement Learning: A Selective Overview of Theories and Algorithms},
  author={Kaiqing Zhang and Zhuoran Yang and Tamer Başar},
  journal={ArXiv},
  year={2019},
  volume={abs/1911.10635}
}

% - SMA-RL Game Th
@article{Gerczuk2019MultiAgentRL,
  title={Multi-Agent Reinforcement Learning - From Game Theory to Organic Computing},
  author={Maurice Gerczuk},
  journal={viXra},
  year={2019}
}

% - SMA-RL
@article{alonso01,
title = "Learning in multi-agent systems",
author = "E Alonso and M D'Inverno and D Kudenko and M Luck and J Noble",
note = "{\circledC} 2001 Cambridge University Press",
year = "2001",
month = "6",
doi = "10.1017/S0269888901000170",
language = "English",
volume = "16",
pages = "277--284",
journal = "The Knowledge Engineering Review",
issn = "1469-8005",
publisher = "Cambridge University Press",
number = "3",
}

% - Th des jeux SMA
@article{gpu,
title = "Etat de l’art sur les simulations multi-agents et le GPGPU. \'Evolution et perspectives de recherches",
author = "Emmanuel Hermellin and Fabien Michel and Jacques Ferber",
year = "2015",
volume = "29",
pages = "425--451",
journal = "Revue des Sciences et Technologies de l’Information - S\'erie RIA : Revue d’Intelligence Artificielle",
publisher = "Lavoisier Unive",
number = "3-4",
}


% -------------------------------
% |	Théorie des jeux	|
% -------------------------------


@inbook{Gameth::inbook,
author = {Nowe, Ann and Vrancx, Peter and De Hauwere, Yann-Michaël},
year = {2012},
month = {01},
pages = {30},
title = {Game Theory and Multi-agent Reinforcement Learning},
isbn = {978-3-642-27645-3},
journal = {Adaptation, Learning, and Optimization},
doi = {10.1007/978-3-642-27645-3_14}
}


% -------------------------------
% |		Librairies SMA-RL	|
% -------------------------------

%
@Manual{sma::lib::dask,
  title = {Dask: Library for dynamic task scheduling},
  author = {{Dask Development Team}},
  year = {2016},
  url = {https://dask.org},
}

@Manual{sma::lib::rapids,
  title = {RAPIDS: Collection of Libraries for End to End GPU Data Science},
  author = {RAPIDS Development Team},
  year = {2018},
  url = {https://rapids.ai},
}

@misc{sma::lib::ucx,
    title = {{The Unified Communication X Library}},
    key = {{{The Unified Communication X Library}},
    howpublished = {{\url{http://www.openucx.org}}}
}

@article{sma::lib::hoffman2020acme,
    title={Acme: A Research Framework for Distributed Reinforcement Learning},
    author={Matt Hoffman and Bobak Shahriari and John Aslanides and Gabriel
        Barth-Maron and Feryal Behbahani and Tamara Norman and Abbas Abdolmaleki
        and Albin Cassirer and Fan Yang and Kate Baumli and Sarah Henderson and
        Alex Novikov and Sergio Gómez Colmenarejo and Serkan Cabi and Caglar
        Gulcehre and Tom Le Paine and Andrew Cowie and Ziyu Wang and Bilal Piot
        and Nando de Freitas},
    year={2020},
    journal={arXiv preprint arXiv:2006.00979},
    url={https://arxiv.org/abs/2006.00979},
}


